# elfHeader Struct Reference

`#include <elf.h>`

## Data Fields

uInt16 | eEhsize
uInt32 | eEntry
uInt32 | eFlags
uInt8 | eIdent [16]
uInt16 | eMachine
uInt16 | ePhentsize
uInt16 | ePhnum
uInt32 | ePhoff
uInt16 | eShentsize
uInt16 | eShnum
uInt32 | eShoff
uInt16 | eShstrndx
uInt16 | eType
uInt32 | eVersion

## Detailed Description

Definition at line 97 of file elf.h.

## Field Documentation

uInt16 elfHeader::eEhsize

Definition at line 106 of file elf.h.

uInt32 elfHeader::eEntry

Definition at line 102 of file elf.h.

Referenced by elf_loadfile(), execFile(), kmod_load(), ldEnable(), sys_exec(), and sysExec().

uInt32 elfHeader::eFlags

Definition at line 105 of file elf.h.

uInt8 elfHeader::eIdent[16]

Definition at line 98 of file elf.h.

Referenced by elf_loadfile(), execFile(), sys_exec(), and sysExec().

uInt16 elfHeader::eMachine

Definition at line 100 of file elf.h.

uInt16 elfHeader::ePhentsize

Definition at line 107 of file elf.h.

uInt16 elfHeader::ePhnum

Definition at line 108 of file elf.h.

Referenced by elf_loadfile(), execFile(), kmod_load(), ldEnable(), sys_exec(), and sysExec().

uInt32 elfHeader::ePhoff

Definition at line 103 of file elf.h.

Referenced by elf_loadfile(), execFile(), kmod_load(), ldEnable(), sys_exec(), and sysExec().

uInt16 elfHeader::eShentsize

Definition at line 109 of file elf.h.

uInt16 elfHeader::eShnum

Definition at line 110 of file elf.h.

Referenced by kmod_load(), ldEnable(), and sysExec().

uInt32 elfHeader::eShoff

Definition at line 104 of file elf.h.

Referenced by kmod_load(), ldEnable(), and sysExec().

uInt16 elfHeader::eShstrndx

Definition at line 111 of file elf.h.

Referenced by kmod_load(), and ldEnable().

uInt16 elfHeader::eType

Definition at line 99 of file elf.h.

Referenced by elf_loadfile(), execFile(), sys_exec(), and sysExec().

uInt32 elfHeader::eVersion

Definition at line 101 of file elf.h.

The documentation for this struct was generated from the following file:

- src/sys/include/ubixos/elf.h